Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/4810/?format=api
{ "ob_id": 4810, "uuid": "82bb02e101836990506deff04e285cda", "title": "Convective Storm Initiation Project (CSIP): Institute of Meteorology and Climate Research (IMK) Lidar Data", "abstract": "The Institute of Meteorology and Climate Research (IMK) Lidar Data are images displaying the polar wind velocity and the polar aerosol concentration. \r\n\r\nFor elevation scans there are figures at azimuth 0, 60 and 120 degrees, for the azimuth scan there are figures at elevations 7, 12 and 17 degrees available. Angles are indicated in the line above the colourscale.\r\n\r\nVertical scans have been made at elevation 90 degree.\r\n\r\nThe upper figures are showing polar (radial) velocity, the lower ones aerosol backscatter at the three different angles which are indecated in each figure above the colour scale.\r\n\r\nThe diagrams are showing unaveraged data. They vizualize a snapshot of approx. 10 minutes measurements starting at the time stated in the filename.\r\n\r\nData were recorded from the 19th of June 2005 to the 29th of August 2005.", "keywords": "CSIP, Lidar, UFAM, AMF", "publicationState": "published", "dataPublishedTime": "2006-08-17T09:52:15", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/4811/?format=api", "dataPath": "/badc/csip/data/imk-lidar", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 880303964, "numberOfFiles": 3100, "fileFormat": "Images are jpg formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1385/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/92/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/58215/?format=api" ], "dataLineage": "Data were collected by the Institute of Meteorology and Climate Research (IMK) before preparation and delivery to the Convective Storm Initiation Project (CSIP) participants and then to the BADC for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/3219/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/4614/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/4611/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21890/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21889/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21891/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21892/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21893/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21895/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42773/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42770/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42771/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54584/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/4812/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2543/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }